package com.heyu.api.data.service.api;
/**
* <p>
* 结果表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-09
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.api.ApiResultEntity;
public interface ApiResultService extends IService<ApiResultEntity> {



	ApiResultEntity selectApiResultById(Long id);


	Long insertApiResult(ApiResultEntity apiResult);


	Long insertOrUpdateApiResult(ApiResultEntity apiResult);


	int updateApiResultById(ApiResultEntity apiResult);


	int updateCoverApiResultById(ApiResultEntity apiResult);


	int deleteApiResultById(Long id);


}